%define module	Catalyst-Plugin-I18N
%define name	perl-%{module}
%define version 0.08
%define release %mkrel 1

Summary:	I18N for Catalyst
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
URL:		http://search.cpan.org/dist/%module/
Source:		%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%else
BuildRequires:	perl
%endif
BuildRequires:	perl(Catalyst) >= 2.99
BuildRequires:	perl(I18N::LangTags::Detect)
BuildRequires:	perl(Locale::Maketext::Lexicon)
BuildRequires:	perl(Locale::Maketext::Simple)
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
Supports mo/po files and Maketext classes under your applications I18N
namespace.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst/Plugin/*




%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.0
+ Revision: 270335
- update to new version 0.08

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.07-3mdv2009.0
+ Revision: 255560
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2008.1
+ Revision: 152980
- update to new version 0.07
- update to new version 0.07

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.0
+ Revision: 55684
- update to new version 0.06


* Sat Mar 12 2005 Scott Karns <scott@karnstech.com> 0.05-1mdk
- First Mdv package

